.header{
    width: 100%;
    height: 50px;
    top: 0;
    background-color: gray;
}
.container{
    display:grid;
    grid-template-columns:1fr 2fr 1fr ;
    grid-auto-rows: 200px;
    width: 100%;
    margin: 10px 0px 10px;
}
.block-a{
    background-color: yellowgreen;
    grid-column: 2/3;
    grid-row: 1/4;
}
.block-b{
    background-color: darkgreen;
    grid-column: 1/2;
    grid-row: 1/4;
}
.block-c{
    background-color: yellow;
    grid-column: 3/4;
    grid-row: 1/4;
}
.footer{
    bottom: 0;
    width: 100%;
    height:50px;
    background-color: gray;
}

@media screen and (max-width:650px) {
    .container{
        grid-template-columns: repeat(4,1fr) ;
        grid-auto-rows: 200px;
    }
    .block-a{
        grid-column:1/5 ;
        grid-row: 1/3;
    }
    .block-b{
        grid-column: 1/3;
        grid-row:3/4 ;
    }
    .block-c{
        grid-column:3/5 ;
        grid-row:3/4;
    }
}

@media screen and (max-width:500px) {
    .container{
        display: grid;
        grid-template-rows:250px 100px 100px ; 
        grid-template-columns: none;
        width: 100%;
        margin: 10px 0px 10px;       
    }
    .block-a{
        grid-column:1/4 ;
        grid-row: 1/2;
    }
    .block-b{
        grid-column: 1/4;
        grid-row:2/3 ;
    }
    .block-c{
        grid-column:1/4 ;
        grid-row:3/4;
    }
}